Loading...
Searching...
No Matches
XrdOssCsiRanges.hh File Reference
`#include "XrdSys/XrdSysPthread.hh"`
`#include <mutex>`
`#include <list>`
`#include <condition_variable>`
`#include <memory>`
Include dependency graph for XrdOssCsiRanges.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | XrdOssCsiRange_s
class | XrdOssCsiRangeGuard
class | XrdOssCsiRanges

## Class Documentation

## XrdOssCsiRange_s

struct XrdOssCsiRange_s

Definition at line 44 of file XrdOssCsiRanges.hh.

Collaboration diagram for XrdOssCsiRange_s:

Class Members
condition_variable | cv |
off_t | end |
mutex | mtx |
int | nBlockedBy |
XrdOssCsiRange_s * | next |
bool | rdonly |
off_t | start |